package wxcardvisit

import (
	"context"
	"github.com/suyuan32/simple-admin-common/msg/errormsg"

	"wechat-api/internal/svc"
	"wechat-api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type UpdateWxCardVisitLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewUpdateWxCardVisitLogic(ctx context.Context, svcCtx *svc.ServiceContext) *UpdateWxCardVisitLogic {
	return &UpdateWxCardVisitLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx}
}

func (l *UpdateWxCardVisitLogic) UpdateWxCardVisit(req *types.WxCardVisitInfo) (*types.BaseMsgResp, error) {

	return &types.BaseMsgResp{Msg: errormsg.Success}, nil
}
